# eric7.WebBrowser.Bookmarks.XbelWriter

Module implementing a class to write XBEL bookmark files.

### Global Attributes

None

### Classes

XbelWriter | Class implementing a writer object to generate XBEL bookmark files.

### Functions

None

## XbelWriter

Class implementing a writer object to generate XBEL bookmark files.

### Derived from

QXmlStreamWriter

### Class Attributes

None

### Class Methods

None

### Methods

XbelWriter | Constructor
__write | Private method to write an XBEL bookmark file.
__writeItem | Private method to write an entry for a node.
write | Public method to write an XBEL bookmark file.

### Static Methods

None

#### XbelWriter (Constructor)

XbelWriter()

Constructor

#### XbelWriter.__write

__write(root)

Private method to write an XBEL bookmark file.

root
  root node of the bookmark tree (BookmarkNode)

Return:
  flag indicating success (boolean)

#### XbelWriter.__writeItem

__writeItem(node)

Private method to write an entry for a node.

node
  reference to the node to be written (BookmarkNode)

#### XbelWriter.write

write(fileNameOrDevice, root)

Public method to write an XBEL bookmark file.

fileNameOrDevice
  name of the file to write (string) or device to write to (QIODevice)
root
  root node of the bookmark tree (BookmarkNode)

Return:
  flag indicating success (boolean)

Up